Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 74730 - [ED-3] Better default coloring for Java (and other languages)
[ED-3] Better default coloring for Java (and other languages)
Status: RESOLVED FIXED
Product: editor
Classification: Unclassified
Component: -- Other --
6.x
All All
: P1 (vote)
: 6.x
Assigned To: Stepan Doubrava
issues@editor
http://ui.netbeans.org/nonav/usabilit...
plan60
: UI
Depends on: 100369 100478
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-10 15:56 UTC by jrojcek
Modified: 2007-11-05 13:42 UTC (History)
4 users (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description jrojcek 2006-04-10 15:56:50 UTC
Finding	
Participant comments the source code coloring. He doesn't like that the color of strings is too prominent 
(red/purple?) and that Javadoc comments have the same color as regular comments.

Severity	
1 participant didn't like the default java colors

Recommendation	
Take this participant's opinion into consideration when designing new default color profile
Comment 1 Petr Hrebejk 2006-12-19 14:06:37 UTC
Yes we need a new coloring scheme for NetBeans. The current one is several years
old and does not match current standards. We agreed that HIE will work on it.

Reasigning
Comment 2 Vitezslav Stejskal 2006-12-19 19:25:37 UTC
Just for inspiration, here is hundreds of color schemes contributed by Vim users:
http://www.cs.cmu.edu/~maverick/VimColorSchemeTest/index.html

Please, update 'City Lights' colors too.
Comment 3 Petr Hrebejk 2007-05-06 08:26:35 UTC
Should probably be done in M10. Jano?
Comment 4 jrojcek 2007-05-09 13:14:15 UTC
Stepan is working on it.
Comment 5 Miloslav Metelka 2007-06-13 15:43:13 UTC
According to hrebejk he will take care of this. It should be ready for M10.
A link to a new doc related to F&C: http://ui.netbeans.org/docs/ui/editor_fonts_colors/Editor_fonts_and_colors.htm
Comment 6 Adam Sotona 2007-06-14 10:50:11 UTC
there is missing specification for:
- preprocessor commands (green text is used now so it is in collision with the proposal)
- for inactive preprocessor block background
- for active preprocessor block background

I protest against this change (1 day before feature freze) until complete specificatio will be available.
Comment 7 Stepan Doubrava 2007-06-14 11:03:58 UTC
Could you please send me a file with all missing items in it. Will add it to the spec instantly.
Java highlighting is done and other files will take about 1 hour to finish. The spec has been out since 24th of May, I
don't understand why do you protest now one day before feature freeze. Not to mention we can still do some tunning after
the FF.
Comment 8 Adam Sotona 2007-06-14 11:28:59 UTC
Our team has not been notified and the spec has been linked to this issue on Wed Jun 13.

the coloring files are in CVS at:
mobility/editor/src/org/netbeans/modules/mobility/editor/NetBeans-Java-preprocessorColors.xml
and 
mobility/editor/src/org/netbeans/modules/mobility/editor/CityLights-Java-preprocessorColors.xml
Comment 9 rehte 2007-06-19 07:54:56 UTC
Hi, 

I am a Chinese. The default font of java editor is very hideous in the Chinese version. The current default font for
Chinese version is "Monospaced" which renders as "SongTi". "SongTi" is a good font for Chinese characters but not for
latin characters. In fact, java renders "DialogInput" as "Courier New" in Chinese locale, which looks excellent! Many
Chinese developers are complaining about the default editor font for Chinese netbeans. So I suggest you guys changes the
default editor font to "DialogInput" instead of "monospace", of course only for Chinese versions. I know many people,
not only Chinese, love the appearance more than the innate merits of the software. It is one of the most frequently
heard reason why they dont want to switch to netbeans despite of its recent tremendous progress.

I hope you guys can hear me, who is from the largest java developer market of the world. The netbeans lovers there need
your attentions!
Thanks!
Comment 10 rehte 2007-06-19 08:02:40 UTC
BTW, where's the color option for line comments? I like that very much. I think it is very useful to distinguish it from
block comments. Since line comments are usually not included in to java docs. I hope that the coption can be brought
back in 6.0.
Comment 11 Stepan Doubrava 2007-06-19 08:58:15 UTC
Re(rehte): Glad to hear that! For the latest release we have changed the default font to "Courier New 13". 

You should be able to change the coloring of line comments for your NB explicitly in Tools>Options>Fonts&Colors. We have
introduced a rule, where: "Everything that is comment is gray" in all file types. This makes the code more consistent
and understandable for less experienced users and also helps orientation in other file types. Some important
words/characters within comments (eg. javadoc, tags) are marked as bold, italic or otherwise.

thanks for your comments and let me know how did you like new fonts & colors in NB6.0 ;-)
Stepan
Comment 12 mutchd 2007-06-22 02:01:54 UTC
If you are going to choose this new washed out scheme as the default can we please keep the old scheme as a theme?
('Netbeans Retro' perhaps?) It doesn't matter how much you change things you are always going ot have a set of people
who aren't happy and they are probably the ones who are going to be the most vocal. So this issue is never going to go
away. (Same for the icons, shortcuts, l&f etc). Give people a (small) set of themes and let them choose the one that
best matches their preferences. They can then make any minor tweaks themselves. (I always change the default font size
back to 11, never liked the change to 12). Maybe get Roumen to blog about how easy it is to 'Have it your way' as one
famous slogan goes...

On the scheme front. Would it break any laws to create a set of schemes representative of the other major editors to
smooth transition for new users? Similar to the shortcut settings? We've already seen issues hitting the list box
because things aren't exactly the same as Visual Studio <shudder>.
Comment 13 Stepan Doubrava 2007-06-22 12:28:35 UTC
The old scheme will remain and will be called "NetBeans5.5" If there is enough time we intended to have other schemes
like "Idea" "Eclipse" etc.
Comment 14 athompson 2007-06-22 20:36:08 UTC
i like how both the opening and closing brackets/parenthesis are highlighted now in java.  to be consistent, both the
openings and closings of elements should be highlighted in XML/HTML/anything else as well.  it would also make it more
apparent what the highlighting is for.
Comment 15 rehte 2007-06-23 12:38:32 UTC
Hi stepan_doubrava:

I am glad to hear that! Thank you and netbeans team! 
As to color schema, I think people's tastes vary very much. I suggest that more optional schemas be installed and let
people choose whatever they like.
Comment 16 Jiri Prox 2007-09-17 20:18:56 UTC
Obsolete milestone, please reevaluate
Comment 17 Vitezslav Stejskal 2007-09-18 11:21:58 UTC
I think the new schemas settled down now, so we could close this as FIXED. Any objections?


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo